#### D.5.4.1 makeDivisor

Procedure from library `divisors.lib` (see divisors_lib).

Usage:
  makeDivisor(I ,J); I = ideal, J = ideal.

Assume:
  I and J are ideals in a qring Q of a smooth irreducible variety X such that any ideal in Q satisfies the S2 condition.

Return:
  a divisor on X

Theory:
  The procedure will eliminate all components which are not of codimension 1. The S2 condition requires that every proper nonzero principal ideal has pure codimension 1.

Example:

    LIB "divisors.lib";
    ring r=31991,(x,y,z),dp;
    ideal I = y^2*z - x*(x-z)*(x+3*z);
    qring Q = std(I);
    divisor P = makeDivisor(ideal(x,z),ideal(1));

User manual for Singular version 4.4.1, 2025, generated by texi2html.